### Method

# Gtk.Snapshot.append_texture

#### Declaration [src]

    void
    gtk_snapshot_append_texture (
      GtkSnapshot* snapshot,
      GdkTexture* texture,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a new render node drawing the `texture` into the given `bounds` and appends it to the current render node of `snapshot`.

#### Parameters

`texture` | `GdkTexture*`
| the `GdkTexture` to render
| Ownership is not transferred to the callee
`bounds` | `const graphene_rect_t*`
| the bounds for the new node
| Ownership is not transferred to the callee